GDB (xrefs)

Public Member Functions | Private Attributes | List of all members
ui_out_level Class Reference

## Public Member Functions
| ui_out_level (ui_out_type type)
ui_out_type | type () const
int | field_count () const
void | inc_field_count ()

## Private Attributes
ui_out_type | m_type
int | m_field_count

## Detailed Description

Definition at line 100 of file ui-out.c.

## Constructor & Destructor Documentation

## ◆ ui_out_level()

ui_out_level::ui_out_level | ( | ui_out_type | type | ) |
| inline explicit

Definition at line 104 of file ui-out.c.

## Member Function Documentation

## ◆ field_count()

int ui_out_level::field_count | ( |  | ) | const
| inline

Definition at line 115 of file ui-out.c.

References m_field_count.

Referenced by ui_out::verify_field().

## ◆ inc_field_count()

void ui_out_level::inc_field_count | ( |  | ) |
| inline

Definition at line 120 of file ui-out.c.

References m_field_count.

Referenced by ui_out::verify_field().

## ◆ type()

ui_out_type ui_out_level::type | ( |  | ) | const
| inline

Definition at line 110 of file ui-out.c.

References m_type.

## Member Data Documentation

## ◆ m_field_count

int ui_out_level::m_field_count
| private

Definition at line 131 of file ui-out.c.

Referenced by field_count(), and inc_field_count().

## ◆ m_type

ui_out_type ui_out_level::m_type
| private

Definition at line 128 of file ui-out.c.

Referenced by type().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/ui-out.c